Package com.pixelmed.dicom

## Class SOPInstanceReference

- java.lang.Object
- - com.pixelmed.dicom.SOPInstanceReference

- Direct Known Subclasses:
    `ImageReference`

      public class SOPInstanceReference
      extends java.lang.Object

  A class to represent a non-hierarchical instance reference.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `sopClassUID` |
    `protected java.lang.String` | `sopInstanceUID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SOPInstanceReference​(AttributeList list)` | Construct an instance of a reference from the attributes of the referenced instance itself.
    `SOPInstanceReference​(SOPInstanceReference reference)` | Construct an instance of a reference to an instance.
    `SOPInstanceReference​(java.lang.String sopInstanceUID, java.lang.String sopClassUID)` | Construct an instance of a reference to an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSOPClassUID()` | Get the SOP Class UID.
    `java.lang.String` | `getSOPInstanceUID()` | Get the SOP Instance UID.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sopInstanceUID

          protected java.lang.String sopInstanceUID

    - #### sopClassUID

          protected java.lang.String sopClassUID

  - ### Constructor Detail

    - #### SOPInstanceReference

          public SOPInstanceReference​(java.lang.String sopInstanceUID,
                                      java.lang.String sopClassUID)

      Construct an instance of a reference to an instance.

      Parameters:
        `sopInstanceUID` - the SOP Instance UID
        `sopClassUID` - the SOP Class UID

    - #### SOPInstanceReference

          public SOPInstanceReference​(SOPInstanceReference reference)

      Construct an instance of a reference to an instance.

      Parameters:
        `reference` - an existing reference to clone

    - #### SOPInstanceReference

          public SOPInstanceReference​(AttributeList list)

      Construct an instance of a reference from the attributes of the referenced instance itself.

      Parameters:
        `list` - the attributes of an instance

  - ### Method Detail

    - #### getSOPInstanceUID

          public java.lang.String getSOPInstanceUID()

      Get the SOP Instance UID.

      Returns:
        the SOP Instance UID, or null

    - #### getSOPClassUID

          public java.lang.String getSOPClassUID()

      Get the SOP Class UID.

      Returns:
        the SOP Class UID, or null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`